Skip to content

Retrieve details for a specific object workflow.

GET/api/{version}/objects/objectworkflows/{workflow_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{workflow_id}The workflow idfield value.
NameDescription
locWhen localized (translated) strings are available, retrieve them by including loc=true.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v21.1/objects/objectworkflows/801
{ "responseStatus": "SUCCESS", "responseDetails": { "url": "/api/v21.1/objects/objectworkflows/801", "object": { "name": "objectworkflows", "label": "Object Workflow", "url": "/api/v21.1/metadata/objectworkflows", "label_plural": "Object Workflows" } }, "data": [ { "id": 801, "label__v": "Approve", "status__v": [ "active__v" ], "object__v": "product__v", "record_id__v": "00P07551", "initiator__v": 46916, "started_date__v": "2016-05-12T19:22:15.000Z" } ] }

On SUCCESS, the response lists the object workflow details. The workflow may include the following fields:

  • id - The workflow ID.
  • label__v - The workflow label as seen in the UI.
  • status__v - The current status of the workflow.
  • object__v - The name of the object using the workflow.
  • record_id__v - The ID of the object record using the workflow.
  • initiator__v - The ID of the user who started the workflow. This is the workflow owner.
  • started_date__v - The date and time when the workflow was started.
  • completed_date__v - The date and time when the workflow was completed.
  • cancelled_date__v - The date and time when the workflow was cancelled.